Skip to main content
GET
Get swap status

Authorizations

x-api-key
string
header
required

API key for authentication. Obtain from your Pods dashboard.

Path Parameters

id
string
required

Quote ID

Example:

"550e8400-e29b-41d4-a716-446655440000"

Query Parameters

btcTxHash
string

Bitcoin transaction hash for Bitcoin deposit routes

Example:

"b4f1..."

Response

Status retrieved successfully

Full saved quote document returned by GET /v2/swap/status/{id}. Note: feeBreakdown is not returned on this endpoint.

_id
string
required

MongoDB document id

Example:

"6a3aba97dea3bdc9bc03845c"

id
string
required

Stringified document id

Example:

"6a3aba97dea3bdc9bc03845c"

quoteId
string
required
Example:

"8ef5685b-280d-4b01-8a02-97cd05fe1d35"

customer
string
required

Customer ID

Example:

"6a3ab8c2dea3bdc9bc037071"

provider
string
required
Example:

"uniswap"

status
enum<string>
required
Available options:
pending,
confirmed,
fulfilled,
expired,
failed,
refunded,
processing
Example:

"pending"

originChain
string
required
Example:

"ethereum"

destinationChain
string
required
Example:

"ethereum"

tokenIn
object
required

Input token of a persisted quote document

tokenOut
object
required

Output token of a persisted quote document, including output guarantees

deadline
string<date-time>
required

Quote expiration instant (ISO 8601 UTC)

Example:

"2026-06-23T17:00:50.662Z"

feeSponsorship
boolean
required
Example:

false

shouldChargeSwapFees
boolean
required
Example:

true

paymentCollected
boolean
required
Example:

false

depositAddress
string | null
required
originAddress
string | null
required
Example:

"0xb794F5eA0ba39494cE839613fffBA74279579268"

destinationAddress
string | null
required
Example:

"0xb794F5eA0ba39494cE839613fffBA74279579268"

originBlockNumber
string | null
required
destinationBlockNumber
string | null
required
originTxHash
string | null
required
destinationTxHash
string | null
required
originTxUrl
string | null
required
destinationTxUrl
string | null
required
confirmedAt
string<date-time> | null
required
fulfilledAt
string<date-time> | null
required
failureReason
string | null
required
refundReason
string | null
required
refundTxHash
string | null
required
refundTxUrl
string | null
required
rawQuote
string | null
required

Provider-specific serialized quote data

createdAt
string<date-time>
required
Example:

"2026-06-23T16:30:50.662Z"

updatedAt
string<date-time>
required
Example:

"2026-06-23T16:30:50.662Z"

__v
number
Example:

0

dex
enum<string>
Available options:
uniswapv3,
uniswapv4,
orderbook
Example:

"uniswapv3"

slippage
number
Example:

0.01

bitcoinDeposit
unknown
fees
any | null

Fee context persisted with the quote

deletedAt
string<date-time> | null
updates
object[]

Audit log of quote state transitions